const navbar = document.querySelector('#stikyNav');
//let top = navbar.offsetTop;
function stickynavbar() {
  if (window.scrollY >= 200) {    
    navbar.classList.add('sticky');
  } else {
    navbar.classList.remove('sticky');    
  }
}
  window.addEventListener('scroll', stickynavbar);


  $('.counter-count').each(function () {
    $(this).prop('Counter',0).animate({
        Counter: $(this).text()
    }, {
        duration: 5000,
        easing: 'swing',
        step: function (now) {
            $(this).text(Math.ceil(now));
        }
    });
});



$(document).ready(function(){
    
    $('#clickTop').hide();
    
    //Check to see if the window is top if not then display button
    
    $(window).scroll(function(){
        if ($(this).scrollTop() > 300) {
            $('#clickTop').fadeIn();
        } else {
            $('#clickTop').fadeOut();
        }
    });
    
    //Click event to scroll to top
    
    $('#clickTop').click(function(){
        $('html, body').animate({scrollTop : 0},500);
        return false;
    });
    
});



const counters = document.querySelectorAll(".counter");

counters.forEach((counter) => {
  counter.innerText = "0";
  const updateCounter = () => {
    const target = +counter.getAttribute("data-target");
    const count = +counter.innerText;
    const increment = target / 200;
    if (count < target) {
      counter.innerText = `${Math.ceil(count + increment)}`;
      setTimeout(updateCounter, 1);
    } else counter.innerText = target;
  };
  updateCounter();
});




$('#owl-carousel').owlCarousel({
    loop: false,
    margin: 30,
    dots: false,
    nav: true,
    items: 5,
    navText: ["<i class='fa fa-angle-left'></i>","<i class='fa fa-angle-right'></i>"],
    autoplay:true,
    // autoplayHoverPause:true,
    // slideTransition: 'linear',
    // autoplayTimeout: 3000,
    // autoplaySpeed: 70000,
    loop: true,
    responsive:{
      0:{
          items:1,
         
      },
      767:{
          items:1,
         
      },
      991:{
          items:2,
          
      },
  
      992:{
          items:3,
          
      },
  
      1200:{
          items:4,
          
      },
      
      1366:{
          items:5,
         
      },
      1920:{
          items:5,
          
      }
    }
    
    
    
  })


  $('#owl-carousel_tab').owlCarousel({
    loop: true,
    margin: 20,
    dots: false,
    nav: false,
    items:1,
    loop:true,
    stagePadding: 200,
    autoplay:true,
    // navText: ["<i class='fa fa-long-arrow-left'></i>","<i class='fa fa-long-arrow-right'></i>"],
})

$('#owl-carousel_tab2').owlCarousel({
  loop: true,
  margin: 20,
  dots: false,
  nav: false,
  items:1,
  loop:true,
  stagePadding: 200,
  autoplay:true,
  // navText: ["<i class='fa fa-long-arrow-left'></i>","<i class='fa fa-long-arrow-right'></i>"],
})

$('#owl-carousel_tab3').owlCarousel({
  loop: true,
  margin: 20,
  dots: false,
  nav: false,
  items:1,
  loop:true,
  stagePadding: 200,
  autoplay:true,
  // navText: ["<i class='fa fa-long-arrow-left'></i>","<i class='fa fa-long-arrow-right'></i>"],
})

$('#owl-carousel_tab_a').owlCarousel({
  loop: true,
  margin: 20,
  dots: false,
  nav: false,
  items:1,
  loop:true,
  stagePadding: 200,
  autoplay:true,
  // navText: ["<i class='fa fa-long-arrow-left'></i>","<i class='fa fa-long-arrow-right'></i>"],
})

$('#owl-carousel_tab_b').owlCarousel({
  loop: true,
  margin: 20,
  dots: false,
  nav: false,
  items:1,
  loop:true,
  stagePadding: 200,
  autoplay:true,
  // navText: ["<i class='fa fa-long-arrow-left'></i>","<i class='fa fa-long-arrow-right'></i>"],
})

$('#owl-carousel_tab_c').owlCarousel({
  loop: true,
  margin: 20,
  dots: false,
  nav: false,
  items:1,
  loop:true,
  stagePadding: 200,
  autoplay:true,
  // navText: ["<i class='fa fa-long-arrow-left'></i>","<i class='fa fa-long-arrow-right'></i>"],
})

$('#owl-carousel_tab_d').owlCarousel({
  loop: true,
  margin: 20,
  dots: false,
  nav: false,
  items:1,
  loop:true,
  stagePadding: 200,
  autoplay:true,
  // navText: ["<i class='fa fa-long-arrow-left'></i>","<i class='fa fa-long-arrow-right'></i>"],
})

$('#owl-carousel_tab_e').owlCarousel({
  loop: true,
  margin: 20,
  dots: false,
  nav: false,
  items:1,
  loop:true,
  stagePadding: 200,
  autoplay:true,
  // navText: ["<i class='fa fa-long-arrow-left'></i>","<i class='fa fa-long-arrow-right'></i>"],
})





